Vulnerability Name:

CVE-2017-0361

Assigned:2016-11-29
Published:2018-04-06
Updated:2018-05-14
Summary:Mediawiki before 1.28.1 / 1.27.2 / 1.23.16 contains an information disclosure flaw, where the api.log might contain passwords in plaintext.
CVSS v3 Severity:7.8 High (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)
6.8 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
5.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)
4.6 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:2.1 Low (CVSS v2 Vector: AV:L/AC:L/Au:N/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
5.0 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
Vulnerability Type:CWE-200
References:Source: SECTRACK
Type: VENDOR_ADVISORY
1039812

Source: XF
Type: UNKNOWN
mediawiki-cve20170361-info-disc(142477)

Source: MLIST
Type: VENDOR_ADVISORY
[mediawiki-announce] 20170406 Security Release: 1.28.1 / 1.27.2 / 1.23.16

Source: CONFIRM
Type: VENDOR_ADVISORY
https://phabricator.wikimedia.org/T125177

Source: CONFIRM
Type: VENDOR_ADVISORY
https://security-tracker.debian.org/tracker/CVE-2017-0361

Vulnerable Configuration:Configuration 1:
  • cpe:/a:mediawiki:mediawiki:1.23.0:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.1:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.5:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.6:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.7:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.8:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.9:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.10:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.11:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.12:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.13:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.14:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.15:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.16:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.27.0:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.27.1:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.28.0:*:*:*:*:*:*:*

  • Configuration 2:
  • cpe:/o:debian:debian_linux:7.0:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:mediawiki:mediawiki:1.27.0:*:*:*:*:*:*:*
  • OR cpe:/a:mediawiki:mediawiki:1.23.14:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.trusty:def:20170361000
    V
    CVE-2017-0361 on Ubuntu 14.04 LTS (trusty) - low.
    2018-04-13
    oval:com.ubuntu.artful:def:20170361000
    V
    CVE-2017-0361 on Ubuntu 17.10 (artful) - low.
    2018-04-13
    oval:com.ubuntu.precise:def:20170361000
    V
    CVE-2017-0361 on Ubuntu 12.04 LTS (precise) - low.
    2017-04-07
    BACK
    mediawiki mediawiki 1.23.0
    mediawiki mediawiki 1.23.1
    mediawiki mediawiki 1.23.5
    mediawiki mediawiki 1.23.6
    mediawiki mediawiki 1.23.7
    mediawiki mediawiki 1.23.8
    mediawiki mediawiki 1.23.9
    mediawiki mediawiki 1.23.10
    mediawiki mediawiki 1.23.11
    mediawiki mediawiki 1.23.12
    mediawiki mediawiki 1.23.13
    mediawiki mediawiki 1.23.14
    mediawiki mediawiki 1.23.15
    mediawiki mediawiki 1.23.16
    mediawiki mediawiki 1.27.0
    mediawiki mediawiki 1.27.1
    mediawiki mediawiki 1.28.0
    debian debian linux 7.0
    mediawiki mediawiki 1.27.0
    mediawiki mediawiki 1.23.14